package com.m2pool.system.api.model;

import com.m2pool.system.api.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description 登陆的用户信息
 * @Date 2024/6/12 15:13
 * @Author dy
 */
@Data
@ApiModel(description = "登录用户信息")
public class LoginUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户唯一标识 */
    @ApiModelProperty(value = "用户唯一标识")
    private String token;

    /** 用户名id */
    @ApiModelProperty(value = "用户名id")
    private Long userid;

    /** 用户名 */
    @ApiModelProperty(value = "用户名")
    private String username;

    /** 登录时间 */
    @ApiModelProperty(value = "登录时间")
    private Long loginTime;

    /** 过期时间 */
    @ApiModelProperty(value = "过期时间")
    private Long expireTime;

    /** 登录IP地址 */
    @ApiModelProperty(value = "登录IP地址")
    private String ipaddr;

    /** 权限列表 */
    @ApiModelProperty(value = "权限列表")
    private Set<String> permissions;

    /** 角色列表 */
    @ApiModelProperty(value = "角色列表")
    private Set<String> roles;

    /** 用户信息 */
    @ApiModelProperty(value = "用户详情信息对象")
    private SysUser sysUser;

}
