package com.m2pool.chat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.Instant;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @ClassName UserMessageVo
 * @Description 用户发送消息对象
 * @Author yyb
 * @Date 2025/4/10 16:28
 */
@Data
@ApiModel(description = "用户发送消息对象")
public class UserMessageVo {

    /**
     * 消息类型
     */
    @ApiModelProperty(value = "消息类型", example = "0 文本 1 图片")
    private Integer type;

    /**
     * 消息内容
     */
    @ApiModelProperty(value = "消息内容", example = "消息内容")
    private String content;

    /**
     * 接收者
     */
    @ApiModelProperty(value = "接收者", example = "54544@qq.com")
    private String email;

    /**
     * 接受用户类型 0 游客 1 登录用户 2 客服人员
     */
    @ApiModelProperty(value = "接受用户类型 0 游客 1 登录用户 2 客服人员", example = "1")
    private Integer receiveUserType;

    /**
     * 聊天室id
     */
    @ApiModelProperty(value = "聊天室id", example = "1")
    private String roomId;

    ///**
    // * 总的分片数
    // */
    //@ApiModelProperty(value = "总的分片数", example = "1",required = false)
    //private Integer totalChunks;
    ///**
    // * 当前分片数
    // */
    //@ApiModelProperty(value = "当前分片数", example = "1",required = false)
    //private Integer currentChunk;
    //
    ///**
    // * 是否是第一个分片
    // */
    //@ApiModelProperty(value = "是否是第一个分片", example = "true",required = false)
    //private Boolean isFirstChunk;
    //
    //@ApiModelProperty(value = "发送时间", example = "2025-05-27T15:39:29.221Z",required = false)
    //private Date sendTime;
}
