package com.m2pool.manage.controller;

import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.common.security.annotation.RequiresLogin;
import com.m2pool.manage.dto.ManageBroadcastDto;
import com.m2pool.manage.dto.ManageUserDto;
import com.m2pool.manage.service.ManageUserService;
import com.m2pool.manage.vo.EmailVo;
import com.m2pool.manage.vo.ManageBaseVo;
import com.m2pool.manage.vo.ManageUserVo;
import com.m2pool.manage.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Description 管理系统用户信息控制器类
 * @Date 2025/5/22 14:33
 * @Author yyb
 */
@RestController
@RequestMapping("/user")
@Api(tags = "用户信息控制器类")
public class ManageUserController {

    @Resource
    private ManageUserService manageUserService;

    @PostMapping("/list/info")
    @ApiOperation(value = "管理系统:查询注册用户信息列表")
    @RequiresLogin
    public TableDataInfo<ManageUserDto> listInfo(@RequestBody ManageUserVo manageUserVo){
        return manageUserService.listInfo(manageUserVo);
    }


    @PostMapping("/send/text/mail/message")
    @ApiOperation(value = "管理系统:发送邮件给某些用户")
    @RequiresLogin
    public void sendTextMailMessage(@RequestBody EmailVo emailVo){
         manageUserService.sendTextMailMessage(emailVo.getTo(),emailVo.getSubject(),emailVo.getText());
    }

}
