package com.m2pool.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Description 注册用户信息返回对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@ApiModel(value = "ManageUserDto", description = "注册用户信息返回对象")
public class ManageUserDto {

    @ApiModelProperty(value = "id",example = "1")
    private Long id;

    @ApiModelProperty(value = "用户邮箱",example = "146555@qq.com")
    private String user;

    @ApiModelProperty(value = "用户对应的挖矿账号（一个用户可以对应多个）",example = "ceshi1")
    private String  minerUser;

    @ApiModelProperty(value = "币种",example = "nexa")
    private String coin;

    @ApiModelProperty(value = "支付地址",example = "ceshi1")
    private String balance;

    @ApiModelProperty(value = "最小起付金额",example = "100.0")
    private String amount;
}
