package com.m2pool.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.manage.dto.ManageBroadcastDto;
import com.m2pool.manage.entity.ManageBroadcast;
import com.m2pool.manage.vo.ManageBaseVo;
import com.m2pool.manage.vo.ManageBroadcastVo;
import com.m2pool.manage.vo.PageVo;

import java.util.List;


/**
 * @Description 广播信息 服务接口
 */
public interface ManageBroadcastService extends IService<ManageBroadcast> {
    /**
     * 获取所有广播信息分页
     * @return 广播列表
     */
    TableDataInfo<ManageBroadcastDto> getListDataByPage(PageVo pageVo);


    /**
     * 根据id查询一批广播数据
     * @param manageBaseVo
     * @return
     */
    R<List<ManageBroadcastDto>> findDataById(ManageBaseVo manageBaseVo);


    /**
     * 新增广播信息
     *
     * @param broadcastVo 广播对象
     * @return 是否成功
     */
    R<String> addBroadcast(ManageBroadcastVo broadcastVo);

    /**
     * 根据ID删除广播
     *
     * @param id 主键ID
     * @return 是否成功
     */
    R<String> deleteBroadcastById(Long id);

    /**
     * 修改广播信息
     *
     * @param broadcastVo 广播对象
     * @return 是否成功
     */
    R<String> updateBroadcast(ManageBroadcastVo broadcastVo);


}
